// carousel
.carousel-inner {
    height: 539px;
    @include media-breakpoint-down(sm) {
        max-height: 40rem;
    }
    .carousel-item {
        border-radius: 1.5rem;
        color: #fff;
        margin-bottom: 8rem;
        .img-fluid {
            margin-top: -2rem;
            @include media-breakpoint-down(sm) {
                max-height: 23.5rem;
                margin-left: auto;
                margin-right: auto;
                display: block;
            }
        }
        .btn {
            font-weight: 700;
            padding-top: 0.6em;
            padding-bottom: 0.6em;
        }
        @include media-breakpoint-up(lg) {
            height: 428px;
            h3 {
                font-size: 3rem;
            }
            .img-fluid {
                margin-bottom: -5rem;
                max-width: 18.5rem;
            }
            .row {
                margin: 0 3rem;
            }
        }
    }
}

ol.carousel-indicators {
    bottom: -3.5rem;
    @include media-breakpoint-up(lg) {
        bottom: 8rem;
        margin: 0 5rem;
        justify-content: flex-end;
    }
    li {
        border-radius: 100%;
        opacity: 1;
        &.active {
            background-color: $yellow;
        }
    }
}

.carousel-control-prev,
.carousel-control-next {
    @include media-breakpoint-up(lg) {
        width: 7%;
    }
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    height: 2rem;
    width: 2rem;
    background-image: url(../images/icon-arrow.svg);
}

.carousel-control-prev-icon {
    transform: rotate(180deg);
}
// doodle
.carousel-bg {
    background-color: #0038aa;
    background-image: url(https://cdn.statically.io/img/www.growhappy.co.id/themes/growhappytheme/assets/images/slide-bg-mobile.png);

    background-position: right bottom;
    background-repeat: no-repeat;
    background-size: contain;
    min-height: 14.5rem;

    @include media-breakpoint-up(lg) {
        background-image: url(https://cdn.statically.io/img/www.growhappy.co.id/themes/growhappytheme/assets/images/slide-bg.png);
    }
}
// product detail carousel
.carousel.bg-primary {
    border-radius: 1.5rem;
    color: #fff;
    margin-bottom: 5rem;
    .carousel-inner {
        .carousel-item {
            @include media-breakpoint-up(lg) {
                .img-fluid {
                    margin-top: .5rem;
                    margin-bottom: 0;
                }
            }
        }
    }
}

// clip path on image
.clip-path {
    position: relative;
    border-bottom-left-radius: 95%;
    border-bottom-right-radius: 100%;
    border: 1rem solid #fff;
    border-width: 0 3rem 0.5rem 3rem;
    width: 130%;
    margin-left: -15%;
    @include media-breakpoint-up(lg) {
        border-top-left-radius: 50%;
        border-bottom-left-radius: 50%;
        border-bottom-right-radius: 0;
        border-width: 0 0 0.5rem 2rem;
        margin: -6rem 0;
        right: -4rem;
        width: 100%;
    }
}

#slideHome {
    font-family: "VAGRoundedStd";
    h3 {
        font-weight: 700;
    }
    p {
        color: white;
    }
}

.swiper-benefit-points-wrapper {
    background-image: url(../images/bg-benefit-points.svg);
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: 50% 0;
    @include media-breakpoint-up(md) {
        background: none;
    }
}

.swiper-container.swiper-benefit-points {
    width: 50%;
    margin: 0 auto;
    overflow: visible;
    max-width: 200px;
    @include media-breakpoint-up(md) {
        width: 100%;
        max-width: 100%;
        overflow: hidden;
    }
    @include media-breakpoint-up(lg) {
        min-height: 555px;
    }
    .swiper-slide {
        padding-bottom: 2.4rem;
        @include media-breakpoint-up(md) {
            padding-bottom: 0;
        }
    }
    .media {
        flex-direction: column;
        text-align: center;
        @include media-breakpoint-up(md) {
            flex-direction: row;
            text-align: left;
        }
    }
    .media-image {
        margin: 0px auto 40%;
        width: 100%;
        transform: none;
        will-change: transform;
        transition: transform 0.2s ease-in;
        @include media-breakpoint-up(md) {
            margin: 0 0 0 0;
            width: 80px;
            transform: translate(-10%);
            margin-right: -4%;
        }
        @include media-breakpoint-up(lg) {
            width: 90px;
        }
        @include media-breakpoint-up(xl) {
            width: 110px;
        }
        @include media-breakpoint-up(xxl) {
            width: 120px;
        }
    }
    .media-body {
        margin: 0 auto;
        width: 170%;
        transform: translate(-20%);
        opacity: 0;
        @include media-breakpoint-up(md) {
            opacity: 1;
            width: 100%;
            transform: none;
        }
        h5.media-title {
            @include media-breakpoint-up(md) {
                font-size: 0.8rem;
            }
            @include media-breakpoint-up(lg) {
                font-size: 0.9rem;
            }
            @include media-breakpoint-up(xl) {
                font-size: 1.1rem;
            }
            @include media-breakpoint-up(xxl) {
                font-size: 1.15rem;
            }
        }
        p {
            @include media-breakpoint-up(md) {
                font-size: 0.6rem;
            }
            @include media-breakpoint-up(lg) {
                font-size: 0.7rem;
            }
            @include media-breakpoint-up(xl) {
                font-size: 0.85rem;
            }
            @include media-breakpoint-up(xxl) {
                font-size: 1rem;
            }
        }
    }
    .swiper-slide-active {
        .media-image {
            transform: scale(1.6) translate(0, 13%);
            @include media-breakpoint-up(md) {
                transform: translate(-10%);
            }
        }
        .media-body {
            opacity: 1;
            will-change: opacity;
            transition: opacity 0.2s ease-in;
        }
    }
    &.swiper-container-multirow-column>.swiper-wrapper {
        @include media-breakpoint-up(md) {
            width: 100% !important;
            flex-direction: row !important;
        }
    }
    .swiper-pagination-bullet {
        opacity: 1;
        background: #83CBF0;
    }
    .swiper-pagination-bullet-active {
        background: #FFBB51;
    }
}

.swiper-product-cards-wrapper {
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: 50% 0;
    margin-left: -1rem;
    margin-right: -1rem;
    padding-left: 1.6rem;
    padding-right: 1.6rem;
    overflow: hidden;

    @include media-breakpoint-up(md) {
        background: none;
    }
}

.swiper-container.swiper-product-cards {
    overflow: visible;
    >.swiper-wrapper>.swiper-slide {
        will-change: transform;
        transition: transform 0.4s ease-in;
        .card {
            border: none;
        }
        .btn-cta {
            will-change: opacity;
            transition: opacity 0.4s ease-in;
        }
    }
    >.swiper-wrapper>.swiper-slide.swiper-slide-prev {
        will-change: transform;
        transition: transform 0.4s ease-in;
        transform: translate(100%, -4.5rem) scale(0.9);
        @include media-breakpoint-up(md) {
            transform: none;
        }
        .btn-cta {
            opacity: 0;
            @include media-breakpoint-up(md) {
                opacity: 1;
            }
        }
        .rating-wrapper {
            opacity: 0;
            @include media-breakpoint-up(md) {
                opacity: 1;
            }
        }
        .card {
            background: #E3F5FF !important;
            @include media-breakpoint-up(md) {
                background: #0038aa !important
            }
        }
        .card-title {
            color: #10A6ED;
            margin-top: -0.3em;
            @include media-breakpoint-up(md) {
                margin-top: 0;
                color: white;
            }
        }
    }
    >.swiper-wrapper>.swiper-slide.swiper-slide-active {
        transform: none;
        z-index: 2;
        .btn-cta {
            opacity: 1;
        }
        .rating-wrapper {
            opacity: 1;
        }
    }
    >.swiper-wrapper>.swiper-slide.swiper-slide-next {
        transform: translate(-100%, -4.5rem) scale(0.9);
        @include media-breakpoint-up(md) {
            transform: none;
        }
        .btn-cta {
            opacity: 0;
            @include media-breakpoint-up(md) {
                opacity: 1;
            }
        }
        .rating-wrapper {
            opacity: 0;
            @include media-breakpoint-up(md) {
                opacity: 1;
            }
        }
        .card {
            background: #E3F5FF !important;
            @include media-breakpoint-up(md) {
                background: #0038aa !important
            }
        }
        .card-title {
            color: #10A6ED;
            margin-top: -0.3em;
            @include media-breakpoint-up(md) {
                margin-top: 0;
                color: white;
            }
        }
    }
}

// slide article arrow
.slider-card{
    .swiper-slide {
        will-change: opacity;
        transition: opacity 0.3s ease-in;
        opacity: 0;

        @include media-breakpoint-up(md) {
            opacity: 1;
        }
    }

    // .swiper-container {
    //     overflow: visible;

    //     @include media-breakpoint-up(md) {
    //         overflow: visible;
    //     }
    // }
    .swiper-pagination.pagination-light, .swiper-pagination.pagination-dark {
        left: 0;
        right: 0;
        bottom: -4.2rem;
        .swiper-pagination-bullet {
            margin: .35rem;
            background-color: #10a6ed;
            opacity: 1;
        }
        .swiper-pagination-bullet-active {
            background-color: #ffbb51;
        }
    }
    .swiper-pagination.pagination-dark {
        .swiper-pagination-bullet {
            background-color: #0c81b8;
        }
        .swiper-pagination-bullet-active {
            background-color: #fff;
        }
        bottom: -3.2rem;
    }
    .swiper-slide-prev,
    .swiper-slide-next {
        @include media-breakpoint-up(md) {
            opacity: 1;
        }
    }

    .swiper-slide-active {
        opacity: 1;
    }

    .swiper-button-prev, .swiper-button-next {
        // background: rgba(255, 255, 255, 0.5);
        background-position: center;
        background-repeat: no-repeat;
        // @include media-breakpoint-down(sm) {
        //   display: none;
        // }

        width: 10vw;
        top: 0;

        height: 68%;

        @include media-breakpoint-up(md) {
            height: 100%;
        }
    }
    .swiper-button-prev {
        background-image: url(../images/icon-arrow.svg);
        right: 85%;
        transform: rotate(180deg);
        left: auto;

        @include media-breakpoint-up(md) {
            right: 100%;
            transform: rotate(180deg) translate(100%);
            left: 0;
            background-image: url(../images/icon-arrow-dark-blue.svg);
        }

        // @include media-breakpoint-up(lg) {
        //     left: -14vw;
        // }
        // @include media-breakpoint-up(xl) {
        //     left: -12vw;
        // }
        // @include media-breakpoint-up(xxl) {
        //     left: -11vw;
        // }
        &:after {
            display: none
        }
        &.button-prev-light, &.button-prev-dark {
            background-image: url(../images/icon-arrow-light-blue.svg);
            background-position: center 1.1rem;
            height: 5rem;
            width: 5rem;
            transform: rotate(180deg) translate(100%);
            top: 110%;
            left: 4rem;

        }
        &.button-prev-dark {
            background-image: url(../images/icon-arrow-dark-blue-alt.svg);
            background-position: center 1.7rem;
            top: 78%;
            left: 6rem;
            &.hadiah {
                top: -3.5rem;
                left: auto;
                right: -1rem;
            }
        }
    }

    .swiper-button-next {
        background-image: url(../images/icon-arrow.svg);
        right: 0;
        left: 85%;

        @include media-breakpoint-up(md) {
            left: 100%;
            background-image: url(../images/icon-arrow-dark-blue.svg);
        }

        // @include media-breakpoint-up(lg) {
        //     right: -14vw;
        // }
        // @include media-breakpoint-up(xl) {
        //     right: -12vw;
        // }
        // @include media-breakpoint-up(xxl) {
        //     right: -11vw;
        // }
        &:after {
            display: none
        }
        &.button-next-light, &.button-next-dark {
            background-image: url(../images/icon-arrow-light-blue.svg);
            background-position: center 1.1rem;
            height: 5rem;
            width: 5rem;
            top: 110%;
            left: auto;
            right: -1rem;
        }
        &.button-next-dark {
            background-image: url(../images/icon-arrow-dark-blue-alt.svg);
            top: 78%;
            right: 1rem;
            &.hadiah {
                top: -3.5rem;
                right: -1rem;
            }
        }
    }
}


.swiper-articles {
    .swiper-slide {
        height: auto;
        // border: 2px solid red;
    }

    .card {
        height: 100%;
    }

    .card-body {
        border-bottom-left-radius: calc(1.5rem - 1px);
        border-bottom-right-radius: calc(1.5rem - 1px);
    }
}

// slide howto
